Name:		hayase
Version:	6.4.16
Release:    1%{?dist}
Summary:	Hayase - Torrent streaming made simple
License:	BSL-1.1
URL:		https://hayase.app
Source0:	hayase-6.4.16.tar.gz
Packager:   Yashwanth Rathakrishnan <yaasharc@gmail.com>
Vendor:     ThaUnknown
Requires:   gtk3, libnotify, nss, libXScrnSaver, libXtst, xdg-utils, at-spi2-core, libuuid, libsecret
Suggests: 	libappindicator-gtk3
BuildArch:  x86_64

%global debug_package %{nil}


%description
Hayase - Torrent streaming made simple

%prep
%setup #verbose output
# %setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -a opt %{buildroot}/opt
cp -a usr %{buildroot}/usr
ls -lR %{buildroot}

%check

%files
/opt/Hayase/*
/usr/share/applications/hayase.desktop
/usr/share/icons/hicolor/16x16/apps/hayase.png
/usr/share/icons/hicolor/32x32/apps/hayase.png
/usr/share/icons/hicolor/48x48/apps/hayase.png
/usr/share/icons/hicolor/64x64/apps/hayase.png
/usr/share/icons/hicolor/128x128/apps/hayase.png
/usr/share/icons/hicolor/256x256/apps/hayase.png
/usr/share/icons/hicolor/512x512/apps/hayase.png
%doc /usr/share/doc/hayase/changelog.gz
%license LICENSE

%post
#!/bin/bash

if type update-alternatives 2>/dev/null >&1; then
    # Remove previous link if it doesn't use update-alternatives
    if [ -L '/usr/bin/hayase' -a -e '/usr/bin/hayase' -a "`readlink '/usr/bin/hayase'`" != '/etc/alternatives/hayase' ]; then
        rm -f '/usr/bin/hayase'
    fi
    update-alternatives --install '/usr/bin/hayase' 'hayase' '/opt/Hayase/hayase' 100 || ln -sf '/opt/Hayase/hayase' '/usr/bin/hayase'
else
    ln -sf '/opt/Hayase/hayase' '/usr/bin/hayase'
fi

# Check if user namespaces are supported by the kernel and working with a quick test:
if ! { [[ -L /proc/self/ns/user ]] && unshare --user true; }; then
    # Use SUID chrome-sandbox only on systems without user namespaces:
    chmod 4755 '/opt/Hayase/chrome-sandbox' || true
else
    chmod 0755 '/opt/Hayase/chrome-sandbox' || true
fi

if hash update-mime-database 2>/dev/null; then
    update-mime-database /usr/share/mime || true
fi

if hash update-desktop-database 2>/dev/null; then
    update-desktop-database /usr/share/applications || true
fi


%postun
#!/bin/bash

# Delete the link to the binary
if command -v update-alternatives >/dev/null 2>&1; then
    update-alternatives --remove hayase %{_bindir}/hayase || true
else
    rm -f %{_bindir}/hayase
fi

%changelog
* Wed Jul 23 2025 Yashwanth Rathakrishnan <yaasharc@gmail.com> 6.4.16-1
- packaged upstream version 6.4.16 converted from DEB for Copr